var config = require('../config/config').configs;
var request = require("request");
var log = require("../log");
var iidConfig = require('../config/config').getAppUUID();
var setIIDNotify = require('../config/config').setAppUUIDNotifier;
var util = require('util');
var count = 0;

function tryNotify (event, data) {
    var url = config.cloud.trackingurl + "&iid=" + iidConfig.iid + "&iidcreateat=" + iidConfig.iidcreateat + "&event=" + event;
    if (data) {
        url += "&data=" + JSON.stringify(data)
    }
    request({
        uri: url,
        headers: {
            'User-Agent': util.format('FindoDesktop/%s (%s)',require("../package.json").version , process.platform)
        },
        method: "GET",
        timeout: 10000,
        followRedirect: true,
        maxRedirects: 10
    }, function (error, response, body) {
        if (!error && response.statusCode == 200) {
            switch (event)
            {
                case "showpopup":
                    log.info("Event tracking: show popup notified");
                    break;
                case "install":
                    setIIDNotify(true);
                    log.info("Event tracking: install notified");
                    break;
                case "clickpopup":
                    log.info("Event tracking: click popup notified");
                    break;
                case "uninstall":
                    log.info("Event tracking: uninstall notified");
                    break;
            }
        } else {

            if (count < 100) {
                count++;
                log.info(util.format("Event tracking: failed notification (attempt #%s). Url: %s", count, url));
                setTimeout(tryNotify, 30000, event);
            }
        }
    })
}

module.exports.notify = tryNotify;