module.exports.translations = {
    en: {
        label: "English",
        // Электроновская часть
        browser: {
            "settings": "settings",
            "language": "Language",
            "writeToSupport": "Write to Support",
            "signin": "Sign In",
            "signout": "Sign Out",
            "exit": "Exit"
        },
        // Ангуляровская часть
        render: {
            "search": "Search",
            "signin": "Sign in please",
            "startIndexing": "Start Indexing",
            "indexingStarted": "Indexing started",
            "progressInWeb": "See progress in web",
            "includes": "Folders included into search for ",
            "include": "Click here to include folders into search ",
            "excludes": "Folders excluded from search for ",
            "exclude": "Click here to exclude folders from search ",
            "permit_continue": "Continue",
            "permit_included": "Included",
            "permit_excluded": "Excluded",
            "permit_search": " Search in my ",
            "permit_folders" : "folders",
            "permit_connect": "Connect PC"
        }
    },
    ru: {
        label: "Русский",
        browser: {
            "settings": "настройки",
            "language": "Язык",
            "writeToSupport": "Написать в Поддержку",
            "signin": "Войти",
            "signout": "Выйти",
            "exit": "Выход из приложения"
        },
        render: {
            "search": "Поиск",
            "signin": "Пожалуйста, войдите",
            "startIndexing": "Начать индексирование",
            "indexingStarted": "Индексирование началось",
            "progressInWeb": "Следите за процессом онлайн",
            "includes": "Папки, включенные в поиск для ",
            "include": "Нажмите здесь для того, чтобы добавить папки для поиска ",
            "excludes": "Папки, исключенные из поиска для ",
            "exclude": "Нажмите здесь для того, чтобы исключить папки из поиска ",
            "permit_continue": "Продолжить",
			"permit_included": "Доступные для поиска",
			"permit_excluded": "Исключения",
			"permit_search": " Искать в моих ",
			"permit_folders" : "папках",
			"permit_connect": "Подключить компьютер"
        }
    },
    zh_Hant: {
        label: "Chinese Trad",
        browser: {
            "settings": "設定",
            "language": "語言",
            "writeToSupport": "寫信給支援服務",
            "signin": "登入",
            "signout": "登出",
            "exit": "結束"
        },
        render: {
            "search": "搜尋",
            "signin": "請登入",
            "startIndexing": "開始建立索引",
            "indexingStarted": "已開始建立索引",
            "progressInWeb": "在網頁中查看進度",
            "includes": "資料夾已納入至以下搜尋",
            "include": "按一下此處將資料夾納入至搜尋",
            "excludes": "資料夾已自以下搜尋中排除",
            "exclude": "按一下此處將資料夾自搜尋中排除",
            "permit_continue": "繼續",
            "permit_included": "已包含",
            "permit_excluded": "已排除",
            "permit_search": " 搜尋我的資料",
            "permit_folders" : "夾",
            "permit_connect": "連接電腦"
        }
    },
    zh_Hans: {
        label: "Chinese Smpl",
        browser: {
            "settings": "设置",
            "language": "语言",
            "writeToSupport": "致信支持部门",
            "signin": "登录",
            "signout": "退出",
            "exit": "退出"
        },
        render: {
            "search": "搜索",
            "signin": "请登录",
            "startIndexing": "开始索引",
            "indexingStarted": "索引已开始",
            "progressInWeb": "在网页中查看进度",
            "includes": "在搜索中包含文件夹",
            "include": "单击此处，将文件夹包含在搜索中",
            "excludes": "在搜索中排除文件夹",
            "exclude": "单击此处，将文件夹排除在搜索外",
            "permit_continue": "继续",
            "permit_included": "包括在内",
            "permit_excluded": "排除在外",
            "permit_search": " 在我的文件夹中搜",
            "permit_folders" : "索",
            "permit_connect": "连接计算机"
        }
    },
    tr: {
        label: "Turkish",
        browser: {
            "settings": "ayarlar",
            "language": "Dil",
            "writeToSupport": "Destek Bölümüne Yazın",
            "signin": "Oturum Aç",
            "signout": "Çıkış Yap",
            "exit": "Çıkış"
        },
        render: {
            "search": "Ara",
            "signin": "Lütfen kaydolun",
            "startIndexing": "Dizinlemeyi Başlat",
            "indexingStarted": "Dizinleme başladı",
            "progressInWeb": "İlerlemeyi web'de görüntüle",
            "includes": "Aramaya dahil edilen klasörler",
            "include": "Klasörleri aramaya dahil etmek için buraya tıklayın",
            "excludes": "Aramanın dışında tutulan klasörler",
            "exclude": "Klasörleri aramanın dışında tutmak için buraya tıklayın",
            "permit_continue": "Devam et",
            "permit_included": "Dahil",
            "permit_excluded": "Hariç",
            "permit_search": " Klasörlerimde ",
            "permit_folders" : "ara",
            "permit_connect": "Bilgisayarı Bağla"
        }
    },
    pt_BR: {
        label: "Portuguese(Brazil)",
        browser: {
            "settings": "configurações",
            "language": "Idioma",
            "writeToSupport": "Escrever para o Suporte",
            "signin": "Iniciar sessão",
            "signout": "Encerrar sessão",
            "exit": "Sair"
        },
        render: {
            "search": "Pesquisar",
            "signin": "Inicie uma sessão",
            "startIndexing": "Iniciar indexação",
            "indexingStarted": "Indexação iniciada",
            "progressInWeb": "Ver progresso na web",
            "includes": "Pastas incluídas na pesquisa",
            "include": "Clique aqui para incluir pastas na pesquisa",
            "excludes": "Pastas excluídas da pesquisa",
            "exclude": "Clique aqui para excluir pastas da pesquisa",
            "permit_continue": "Continuar",
            "permit_included": "Incluído",
            "permit_excluded": "Excluído",
            "permit_search": " Buscar em minhas ",
            "permit_folders" : "pastas",
            "permit_connect": "Conectar ao PC"
        }
    },
    ko: {
        label: "Korean",
        browser: {
            "settings": "설정",
            "language": "언어",
            "writeToSupport": "도움받기 위해 작성",
            "signin": "로그인",
            "signout": "로그아웃",
            "exit": "끝내기"
        },
        render: {
            "search": "검색",
            "signin": "로그인하세요",
            "startIndexing": "인덱싱 시작",
            "indexingStarted": "인덱싱 시작됨",
            "progressInWeb": "웹 진행 살펴보기",
            "includes": "다음 검색에 포함된 폴더",
            "include": "여기를 클릭하여 검색할 폴더 포함",
            "excludes": "검색에 제외된 폴더",
            "exclude": "여기를 클릭하여 검색에서 폴더 제외",
            "permit_continue": "계속",
            "permit_included": "포함됨",
            "permit_excluded": "제외됨",
            "permit_search": " 내 폴더에서 ",
            "permit_folders" : "검색",
            "permit_connect": "PC 연결"
        }
    },
    it: {
        label: "Italian",
        browser: {
            "settings": "impostazioni",
            "language": "Lingua",
            "writeToSupport": "Scrivi al servizio di assistenza",
            "signin": "Accedi",
            "signout": "Esci",
            "exit": "Uscita"
        },
        render: {
            "search": "Ricerca",
            "signin": "È necessario accedere",
            "startIndexing": "Avvia indicizzazione",
            "indexingStarted": "Indicizzazione avviata",
            "progressInWeb": "Visualizza l'avanzamento sul Web",
            "includes": "Cartelle incluse nella ricerca di",
            "include": "Fare clic qui per includere le cartelle nella ricerca",
            "excludes": "Cartelle escluse dalla ricerca di",
            "exclude": "Fare clic qui per escludere le cartelle dalla ricerca",
            "permit_continue": "Continua",
            "permit_included": "Incluse",
            "permit_excluded": "Escluse",
            "permit_search": " Ricerca nelle mie ",
            "permit_folders" : "cartelle",
            "permit_connect": "Collegare PC"
        }
    },
    fr: {
        label: "French",
        browser: {
            "settings": "paramètres",
            "language": "Langue",
            "writeToSupport": "Écrire à l'assistance",
            "signin": "Se connecter",
            "signout": "Se déconnecter",
            "exit": "Quitter"
        },
        render: {
            "search": "Rechercher",
            "signin": "Veuillez vous connecter",
            "startIndexing": "Commencer l'indexation",
            "indexingStarted": "Indexation lancée",
            "progressInWeb": "Voir la progression sur le Web",
            "includes": "Dossiers inclus dans la recherche de",
            "include": "Cliquez ici pour inclure les dossiers dans la recherche",
            "excludes": "Dossiers exclus de la recherche de",
            "exclude": "Cliquez ici pour exclure les dossiers de la recherche",
            "permit_continue": "Continuer",
            "permit_included": "Inclus",
            "permit_excluded": "Exclus",
            "permit_search": " Chercher dans mes ",
            "permit_folders" : "dossiers",
            "permit_connect": "Connecter le PC"
        }
    },
    es: {
        label: "Spanish",
        browser: {
            "settings": "ajustes",
            "language": "Idioma",
            "writeToSupport": "Escribir a Asistencia",
            "signin": "Iniciar sesión",
            "signout": "Cerrar sesión",
            "exit": "Salir"
        },
        render: {
            "search": "Buscar",
            "signin": "Inicie sesión, por favor",
            "startIndexing": "Iniciar indexación",
            "indexingStarted": "Indexación iniciada",
            "progressInWeb": "Ver progreso en la web",
            "includes": "Las carpetas incluidas en la búsqueda de",
            "include": "Haga clic aquí para incluir carpetas en la búsqueda",
            "excludes": "Las carpetas están excluidas de la búsqueda",
            "exclude": "Haga clic aquí para excluir carpetas de la búsqueda",
            "permit_continue": "Continuar",
            "permit_included": "Incluida",
            "permit_excluded": "Excluida",
            "permit_search": " Buscar en mis ",
            "permit_folders" : "carpetas",
            "permit_connect": "Conectar PC"
        }
    },
    de: {
        label: "German",
        browser: {
            "settings": "Einstellungen",
            "language": "Sprache",
            "writeToSupport": "E-Mail an Support senden",
            "signin": "Anmelden",
            "signout": "Abmelden",
            "exit": "Beenden"
        },
        render: {
            "search": "Suchen",
            "signin": "Bitte anmelden",
            "startIndexing": "Indexierung starten",
            "indexingStarted": "Indexierung gestartet",
            "progressInWeb": "Fortschritt im Web anzeigen",
            "includes": "Berücksichtigte Ordner für die Suche nach",
            "include": "Klicken Sie hier, um Ordner für die Suche zu berücksichtigen",
            "excludes": "Ausgeschlossene Order für die Suche nach",
            "exclude": "Klicken Sie hier, um Ordner für die Suche auszuschließen",
            "permit_continue": "Weiter",
            "permit_included": "Berücksichtigt",
            "permit_excluded": "Ausgeschlossen",
            "permit_search": " Meine Ordner ",
            "permit_folders" : "durchsuchen",
            "permit_connect": "PC anschließen"
        }
    }
};