var semver = require('semver');
var os = require('os');

function garanteeSemverFormat(version) {
    if (version.split('.').length === 2) {
        version += '.0';
    }
    return version;
}

module.exports.isLessThanWin10 = function() {
    // TODO: костыль связан с некоректным отображением вресии win на
    // electron, исправлено в новой версии
    var isWin32 = (os.type() === 'Windows_NT');
    if (isWin32) {
        var versionString = require('child_process').execSync('ver').toString().trim();
        var res = Boolean(versionString) ? versionString.match(/\d+\.\d+\.\d*/gi) : false;
        if (res) return semver.satisfies(garanteeSemverFormat(res[0]), '<=6.3.9600')
    }
    return isWin32 && semver.satisfies(garanteeSemverFormat(os.release()), '<=6.3.9600')
};

module.exports.updateObject = function updateObject(current, updater) {
    for (var prop in updater) {
        current[prop] = updater[prop]
    }
    return current;
};

module.exports.isEmptyObject = function isEmptyObject(obj) {
    for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
            return false;
        }
    }
    return true;
};
