var BrowserWindow = require('browser-window');

var mainWindow = new BrowserWindow({
  width: 680,
  height: 54,
  frame: false,
  show: false,
  resizable: false,
  fullscreen: false,
  'skip-taskbar': true
});
// Без этого вызова окно рисовалось на маке на 20 пикселей уже.
// Возможно в версиях после 0.30.3 это исправили
mainWindow.setSize(680, 54);

var hiddenCallbacks = [];
var menuMargin = process.platform == "win32" ? [2, 0] : [2, 4];
var ready = false;
var visible = false;

mainWindow.loadUrl('file://' + __dirname + '/../../render/index.html');
mainWindow.on('blur', function() {
  module.exports.hide();
});
mainWindow.on('close', function() {
  mainWindow = null;
});

mainWindow.webContents.on('dom-ready', function() {
  ready = true;
  if (visible) {
    !!mainWindow && mainWindow.show();
  }
});


module.exports.show = function() {
  if (ready) {
    !!mainWindow && mainWindow.show();
  } else {
    visible = true;
  }
};

module.exports.focus = function() {
  if (!!mainWindow) {
    mainWindow.focus();
    mainWindow.setAlwaysOnTop(true);
    mainWindow.setAlwaysOnTop(false);
  }
};

module.exports.hide = function() {
  if (ready) {
    !!mainWindow && mainWindow.hide();
    for(var index in hiddenCallbacks) {
      hiddenCallbacks[index]();
    }
  } else {
    visible = false;
  }
};


module.exports.update = function() {
  !!mainWindow && mainWindow.webContents.send("update");
};


module.exports.onHidden = function(callback) {
  hiddenCallbacks.push(callback);
};

module.exports.isVisible = function() {
  return !!mainWindow && mainWindow.isVisible();
};

module.exports.dropMenu = function(menu) {
  if (!mainWindow) {
    return;
  }
  var bounds = mainWindow.getBounds();
  var x = bounds.width + menuMargin[0];
  var y = menuMargin[1];
  menu.popup(mainWindow, x, y);
};

module.exports.dropContextMenu = function(menu) {
  // TODO: Показывать рядом с курсором
  menu.popup(mainWindow, 0, 0);
};
