var app = require('app');
var BrowserWindow = require('browser-window');
var popupWindow = null;
var menuMargin = process.platform == "win32" ? [2, 0] : [2, 4];

var create = function() {
    var result = new BrowserWindow({
        width: 816,
        height: 639,
        frame: true,
        skipTaskbar: true,
        autoHideMenuBar: true,
        title: "Findo",
        show: false,
        resizable: false,
        fullscreen: false,
        'skip-taskbar': true,
        movable: false,
        useContentSize: true
    });
    result.setSize(816, 639);
    result.setMenu(null);
    return result;
};


module.exports.show = function() {
    require("../tracking-notifier").notify("window_login");
    if (popupWindow) {
        popupWindow.show();
    } else {
        var newWindow = create();
        newWindow.loadUrl('file://' + __dirname + '/../../onboarding/popup/index.html');
        newWindow.webContents.on('dom-ready', function () {
            newWindow.show();
        });
        popupWindow = newWindow;
        newWindow.on('closed', function () {
            popupWindow = null;
            app.emit('browser-window-closed');
        });
    }
};

module.exports.focus = function() {
    if (!!popupWindow) {
        popupWindow.focus();
        popupWindow.setAlwaysOnTop(true);
        popupWindow.setAlwaysOnTop(false);
    }
};

module.exports.hide = function () {
    if (popupWindow) popupWindow.close()
};

module.exports.isVisible = function() {
    return !!popupWindow && popupWindow.isVisible();
};

module.exports.dropMenu = function(menu) {
    if (!popupWindow) {
        return;
    }
    menu.popup(popupWindow);
};

module.exports.dropContextMenu = function(menu) {
    // TODO: Показывать рядом с курсором
    menu.popup(popupWindow, 0, 0);
};