var fs = require('fs');

// Ensure file remvoed
module.exports.safeRemove = function(filePath) {
  try {
    fs.unlinkSync(filePath);
  } catch (err) {
    if (err.code != "ENOENT") {
      throw err;
    }
  }
};

module.exports.safeRequire = function(modulePath) {
  try {
    return require(modulePath);
  } catch (err) {
    if (err.code !== 'MODULE_NOT_FOUND') {
      throw err;
    }
    return null;
  }
}
