var path = require("path");

var platformCase = function(methods, defalut){
    return (methods[process.platform] || defalut || function(){})();
};

var engineCase = function(methods, defalut){
    return (methods[detectEngine()] || defalut || function(){})();
};

var engine;
var detectEngine = function() {
  if(!engine) {
    try {
      window.require('nw.gui');
      engine = 'nw';
      return engine;
    } catch (err) {
    }
    try {
      require('app');
      engine = 'electron';
      return engine;
    } catch (err) {
    }
    engine = 'node';
  }
  return engine;
};

// Engine specific app quit
exports.quit = function() {
  engineCase({
    nw: function() {
      window.require('nw.gui').App.quit();
    },
    electron: function() {
      require('app').quit();
    },
    node: function() {
      process.exit();
    }
  })
};

// Engine and platform specifica app root folder
var appRoot;
exports.applicationRoot = function() {
  if(!appRoot) {
    platformCase({
      win32: function() {appRoot = path.resolve(process.execPath, "../..");},
      darwin: function() {
        engineCase({
          nw: function() {
            appRoot = path.resolve(process.execPath, "../../../../../..");
          }}, function() {appRoot = path.resolve(process.execPath, "../../..");}
        );
      }
    });
  }
  return appRoot;
};
