#include <vector>

#include "node.h"
#include "v8.h"

#include "native_mate/converter.h"
#include "event_emitter.h"

void EventEmitter::Emit(const std::string& event) {
	v8::Isolate* isolate = v8::Isolate::GetCurrent();
	v8::Handle<v8::Value> value = mate::ConvertToV8(isolate, event);
	node::MakeCallback(isolate, GetWrapper(isolate), "emit", 1, &value);
}

void EventEmitter::Emit(const std::string& event, v8::Handle<v8::Value> parameter) {
	v8::Isolate* isolate = v8::Isolate::GetCurrent();

	v8::Handle<v8::Value> args[2] = {
		mate::ConvertToV8(isolate, event),
		parameter
	};
	node::MakeCallback(isolate, GetWrapper(isolate), "emit", 2, args);
}
