#ifndef WEBKIT_UPDATER_SRC_NSOBJECT_HOLDER_H_
#define WEBKIT_UPDATER_SRC_NSOBJECT_HOLDER_H_

// class to store Objective C objects in C++ code

template<class T>
class NSObjectHolder {
public:
	explicit NSObjectHolder(T* object = 0): object(0) {
		Reset(object);
	}

	~NSObjectHolder() {
		Reset();
	}

	void Reset(T* newObject = 0) {
		T* objToRelease = object;
		object = newObject;
		
		if(object != 0) {
			[object retain];	
		}
		if(objToRelease != 0) {
			[objToRelease release];
		}
	}

	bool IsEmpty() const {
		return object == 0;
	}

	T* Get() const {
		return object;
	}

private:
	T* object;
};

#endif