#ifndef WEBKIT_UPDATER_SRC_UPDATER_H_
#define WEBKIT_UPDATER_SRC_UPDATER_H_

#include <node.h>
#include <v8.h>

#include "native_mate/wrappable.h"
#include "native_mate/dictionary.h"
#include "native_mate/object_template_builder.h"
#include "native_mate/handle.h"
#include "native_mate/callback.h"


#include "event_emitter.h"
#include "nsobject_holder.h"

#import <Sparkle/SUUpdater.h>
#import "updater_delegate.h"

class Updater: public EventEmitter {
public:
	static mate::Handle<Updater> Create(v8::Isolate* isolate);

protected:
	virtual mate::ObjectTemplateBuilder GetObjectTemplateBuilder(v8::Isolate* isolate);

	Updater();
	virtual ~Updater();

private:
    typedef base::Callback< void (const std::string&) > ErrorCallback;

	void Configure(const mate::Dictionary& options);
	void CheckForUpdates();
	void InstallAndRestart(const std::vector<std::string>& restartParams, ErrorCallback errorCallback);

	DISALLOW_COPY_AND_ASSIGN(Updater);

	NSObjectHolder<SUUpdater> updaterObj;
	NSObjectHolder<UpdaterDelegate> updaterDelegate;
};

#endif
