var child_process = require("child_process");

module.exports.shell = function(command) {
  return new Promise(function(resolve, reject) {
    var proc = child_process.exec(command, function(err, stdout) {
      if(err) {
        reject(err);
      } else {
        resolve(stdout);
      }
    });
  });
};

module.exports.run = function(command) {
  return new Promise(function(resolve, reject) {
    child_process.execFile(command[0], command.slice(1),
      function(error, stdout, stderr) {
        if (!error) {
          resolve(stdout.toString('utf8'));
        } else {
          reject(stderr.toString('utf8') || error);
        }
      }
    );
  });
};

module.exports.spawn = function(command) {
  return new Promise(function(resolve, reject) {
    try {
      child_process.spawn(command[0], command.slice(1), {detached: true, stdio: "ignore"});
      resolve();
    } catch (err) {
      reject(err);
    }
  });
};
