"use strict";
var module = angular.module('components.popup', []);

var remote = require('remote');
var ipc = require('ipc');
var findoApp = remote.require("./browser/findo-app");
var cloud = remote.require("./browser/cloud");
var mainWindow = remote.require("./browser/windows/main");
var versionInfo = remote.require('./browser/version-info');


module.controller('PopupController',
['$scope',
function($scope) {
  $scope.request = "";
  $scope.authorized = findoApp.isAuthorized();
  $scope.version = versionInfo.current;
  $scope.triggerText = "FIND YOUR PDFs, FASTER! Foxit noticed you were looking through a PDF. Get 3 months FREE subscription on Findo PDF Search. Click Here.";
  $scope.noTriggerText = "No";

  ipc.on("update", function() {
    $scope.$apply(function() {
      $scope.authorized = findoApp.isAuthorized();
    });
  });

  $scope.login = function() {
    findoApp.signIn();
  };

  $scope.goOnline = function() {
    cloud.home();
  };


}
]);
