"use strict";
var module = angular.module('components.search', []);

var remote = require('remote');
var ipc = require('ipc');
var findoApp = remote.require("./browser/findo-app");
var cloud = remote.require("./browser/cloud");
var mainWindow = remote.require("./browser/windows/main");
var versionInfo = remote.require('./browser/version-info');
//
//  Mocks
//
// var ipc = {
//   on: function(){}
// };
// const findoApp = {
//   isAuthorized: function(){return true},
//   createMainMenu: function(){},
// };
// const mainWindow = {
//   dropMenu: function(){},
//   dropContextMenu: function(){}
// };
// const versionInfo = {
//   current: "6.6.6"
// };

module.controller('SearchController',
['$scope',
function($scope) {
  $scope.request = "";
  $scope.authorized = findoApp.isAuthorized();
  $scope.version = versionInfo.current;

  ipc.on("update", function() {
    $scope.$apply(function() {
      $scope.authorized = findoApp.isAuthorized();
    });
  });

  $scope.login = function() {
    findoApp.signIn();
  };

  $scope.goOnline = function() {
    cloud.home();
  };

  $scope.showSettingsMenu = function() {
    mainWindow.dropMenu(findoApp.createMainMenu());
  };

  $scope.showContextMenu = function() {
    mainWindow.dropContextMenu(findoApp.createContextMenu());
  };

  $scope.search = function(request) {
    cloud.search(request);
  };

}
]);
