"use strict";
var remote = require('remote');
var findoApp = remote.require("./browser/findo-app");
var getAppLang = remote.require("./config/config").getAppLang;
var translations = findoApp.translations;

var module = angular.module('main', [
  'ngRoute',
  'components.about',
  'components.device',
  'components.search',
  'components.popup',
  'components.permit',
  'pascalprecht.translate'
]);

module.directive('ngRightClick', function($parse) {
    return function(scope, element, attrs) {
        var fn = $parse(attrs.ngRightClick);
        element.bind('contextmenu', function(event) {
            scope.$apply(function() {
                event.preventDefault();
                fn(scope, {$event:event});
            });
        });
    };
});

module.config(['$routeProvider', function($routeProvider) {
  $routeProvider.when("/", {
    templateUrl: "components/search/view.html",
    controller: 'SearchController'
  });
  $routeProvider.when("/devices/:deviceId", {
    templateUrl: "components/device/view.html",
    controller: 'DeviceController'
  });
  $routeProvider.when("/about", {
    templateUrl: "components/about/view.html",
    controller: 'AboutController'
  });
  $routeProvider.when("/popup", {
    templateUrl: "components/popup/view.html",
    controller: 'PopupController'
  });
  $routeProvider.when("/permit/:deviceId", {
    templateUrl: "components/permit/view.html",
    controller: 'PermitController'
  });

  $routeProvider.otherwise("/");
}]);


module.config(["$translateProvider", function($translateProvider){

  for (var key in translations) {
    if (translations.hasOwnProperty(key)) {
      $translateProvider.translations(key, translations[key].render);
    }
  }
  
  $translateProvider.preferredLanguage(getAppLang());
  
}]);
